<?php $__env->startSection('form'); ?>
    <div class="form-group">
        <label for="title-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Widget title')); ?></label>
        <input type="text" class="form-control" name="title" id="title-<?php echo e($id); ?>" placeholder="<?php echo e(__('Custom title')); ?>" value="<?php echo e($title); ?>">
    </div>
    <div class="form-group">
        <label for="device-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Device')); ?></label>
        <select class="form-control" id="device-<?php echo e($id); ?>" name="device" data-placeholder="<?php echo e(__('All devices')); ?>">
            <?php if($device): ?>
                <option value="<?php echo e($device->device_id); ?>"><?php echo e($device->displayName()); ?></option>
            <?php endif; ?>
        </select>
    </div>
    <div class="form-group">
        <label for="device_group-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Device group')); ?></label>
        <select class="form-control" name="device_group" id="device_group-<?php echo e($id); ?>" data-placeholder="<?php echo e(__('All Devices')); ?>">
            <?php if($device_group): ?>
                <option value="<?php echo e($device_group->id); ?>" selected><?php echo e($device_group->name); ?></option>
            <?php endif; ?>
        </select>
    </div>
    <div class="form-group">
        <label for="hidenavigation-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Hide Navigation')); ?></label>
        <input type="checkbox" class="form-control" name="hidenavigation" id="hidenavigation-<?php echo e($id); ?>" value="<?php echo e($hidenavigation); ?>" data-size="normal" <?php if($hidenavigation): ?> checked <?php endif; ?>>
    </div>
    <div class="form-group">
        <label for="level-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Priority')); ?></label>
        <select class="form-control" name="level" id="level-<?php echo e($id); ?>">
            <?php $__currentLoopData = $priorities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val => $name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($val); ?>" <?php if($level ? $level == $val : $val == 7): ?> selected <?php endif; ?>><?php echo e($name); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
    <script type="text/javascript">
        init_select2('#device-<?php echo e($id); ?>', 'device', {}, '<?php echo e($device ? $device->device_id : ''); ?>');
        init_select2('#device_group-<?php echo e($id); ?>', 'device-group', {});

        $('#hidenavigation-<?php echo e($id); ?>')
            .bootstrapSwitch('offColor','danger')
            .on('switchChange.bootstrapSwitch', function (e, data) {
                var hidenav = $(this).is(':checked') ? "1": "0";
                $('#hidenavigation-<?php echo e($id); ?>').val(hidenav);
            });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('widgets.settings.base', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /usr/share/librenms/resources/views/widgets/settings/syslog.blade.php ENDPATH**/ ?>