<?php $__env->startSection('form'); ?>
    <div class="form-group">
        <label for="interface_count-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Number of interfaces')); ?>:</label>
        <input class="form-control" type="number" min="1" step="1" name="interface_count" id="interface_count-<?php echo e($id); ?>" value="<?php echo e($interface_count); ?>">
    </div>
    <div class="form-group">
        <label for="time_interval-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Last polled (minutes)')); ?>:</label>
        <input class="form-control" type="number" min="1" step="1" name="time_interval" id="time_interval-<?php echo e($id); ?>" value="<?php echo e($time_interval); ?>">
    </div>
    <div class="form-group">
        <label for="interface_filter-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Interface type')); ?>:</label>
        <select class="form-control" id="interface_filter-<?php echo e($id); ?>" name="interface_filter"  data-placeholder="<?php echo e(__('All Ports')); ?>">
        <?php if($interface_filter): ?>
            <option value="<?php echo e($interface_filter); ?>"><?php echo e($interface_filter); ?></option>
        <?php endif; ?>
        </select>
    </div>
    <div class="form-group">
        <label for="device_group-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Device group')); ?></label>
        <select class="form-control" name="device_group" id="device_group-<?php echo e($id); ?>" data-placeholder="<?php echo e(__('All Devices')); ?>">
            <?php if($device_group): ?>
                <option value="<?php echo e($device_group->id); ?>" selected><?php echo e($device_group->name); ?></option>
            <?php endif; ?>
        </select>
    </div>
    <div class="form-group">
        <label for="port_group-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Port group')); ?></label>
        <select class="form-control" name="port_group" id="port_group-<?php echo e($id); ?>" data-placeholder="<?php echo e(__('All Ports')); ?>">
            <?php if($port_group): ?>
                <option value="<?php echo e($port_group->id); ?>" selected><?php echo e($port_group->name); ?></option>
            <?php endif; ?>
        </select>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
    <script type="text/javascript">
        init_select2('#interface_filter-<?php echo e($id); ?>', 'port-field', {limit: 100, field: 'ifType'}, '<?php echo e($interface_filter ?: ''); ?>');
        init_select2('#device_group-<?php echo e($id); ?>', 'device-group', {});
        init_select2('#port_group-<?php echo e($id); ?>', 'port-group', {});
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('widgets.settings.base', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /usr/share/librenms/resources/views/widgets/settings/top-interfaces.blade.php ENDPATH**/ ?>