<div id="graylog_container-<?php echo e($id); ?>" data-reload="false">
    <div class="table-responsive">
        <table id="graylog-<?php echo e($id); ?>" class="table table-hover table-condensed graylog">
            <thead>
            <tr>
                <th data-column-id="severity" data-sortable="false"></th>
                <th data-column-id="origin"><?php echo e(__('Origin')); ?></th>
                <th data-column-id="timestamp" data-formatter="browserTime"><?php echo e(__('Timestamp')); ?></th>
                <th data-column-id="level" data-sortable="false"><?php echo e(__('Level')); ?></th>
                <th data-column-id="source"><?php echo e(__('Source')); ?></th>
                <th data-column-id="message" data-sortable="false"><?php echo e(__('Message')); ?></th>
                <th data-column-id="facility" data-sortable="false"><?php echo e(__('Facility')); ?></th>
            </tr>
            </thead>
        </table>
    </div>
</div>

<script>
    (function () {
        var grid = $("#graylog-<?php echo e($id); ?>").bootgrid({
            ajax: true,
            rowCount: ['<?php echo e($limit); ?>', 25,50,100,250,-1],
            navigation: ! <?php echo e($hidenavigation); ?>,
            formatters: {
                "browserTime": function(column, row) {
                    <?php if (\Illuminate\Support\Facades\Blade::check('config', 'graylog.timezone')): ?>
                        return row.timestamp;
                    <?php else: ?>
                        return moment.parseZone(row.timestamp).local().format("YYYY-MM-DD HH:MM:SS");
                    <?php endif; ?>
                }
            },
            post: function ()
            {
                return {
                    stream: "<?php echo e($stream); ?>",
                    device: "<?php echo e($device); ?>",
                    range: "<?php echo e($range); ?>",
                    loglevel: "<?php echo e($loglevel); ?>"
                };
            },
            url: "<?php echo e(url('/ajax/table/graylog')); ?>"
        });

        $('#graylog_container-<?php echo e($id); ?>').on('refresh', function (event) {
            grid.bootgrid('reload');
        });
        $('#graylog_container-<?php echo e($id); ?>').on('destroy', function (event) {
            grid.bootgrid('destroy');
            delete grid;
        });
    })();
</script>
<?php /**PATH /usr/share/librenms/resources/views/widgets/graylog.blade.php ENDPATH**/ ?>